Skip to content

Instantly share code, notes, and snippets.

Noushin Niknafs Niknafs

  • Johns Hopkins University
  • Baltimore, MD
Block or report user

Report or block Niknafs

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View bioinformatics-workshops-and-training-2015.md

This list is outdated. This post has a list of bioinformatics/genomics/genetics workshops and training materials that I haven't updated since 2015.


In-person courses

Note that many of the courses shown below also have course materials from past years publicly available online.

Cold Spring Harbor Courses:

@Niknafs
Niknafs / Install-greta.md
Last active Jun 11, 2018
Greta Installation
View Install-greta.md

Preparing for Installation

wget https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh

bash Miniconda3-latest-Linux-x86_64.sh

conda update conda

# install tensorflow in conda
conda install -c conda-forge tensorflow
@Niknafs
Niknafs / gdc-client-install.sh
Created Feb 19, 2018
Installing gdc-client on a red hat linux server
View gdc-client-install.sh
qrsh
module load python/2.7.9
git clone https://github.com/NCI-GDC/gdc-client/
cd gdc-client
git checkout master
virtualenv venv
source venv/bin/activate
pip install --upgrade pip
pip install --upgrade setuptools argparse
pip install -r requirements.txt
View WES-pipeline-SNP-calling.sh
addGrp:
java -Xmx${heap}m -Djava.io.tmpdir\=${temp_folder}/${patient} \
-jar ${picard}/AddOrReplaceReadGroups.jar \
RGLB\=${sample}.fastq \
RGPL\=Illumina \
RGPU\=${sample} \
RGSM\=${sample} \
I\=${SCRATCH}/${sample}/${sample}.rmdup.bam \
O\=${SCRATCH}/${sample}/${sample}.rmdup.grp.bam \
SORT_ORDER\=coordinate \
@Niknafs
Niknafs / Expands-Installation.md
Last active Apr 6, 2017
Installing rJava in ubuntu (docker)
View Expands-Installation.md

Start a docker with correct working directory mounted

docker run -d --name expands -i -t -v xxx:xxx ubuntu:14.04 bash

Install the requirements in the container

docker attach expands
# apt-get update
# apt-get install emacs
View docker-ssh-error-fix.md

Problem:

Often, after restarting my machine (OS X Yosemite, version 10.10.5) I encounter the following error the first time I run docker quick start terminal. The problem is discussed in great length here, but none of the proposed solutions seemed to fix it on my machine.

Specs

OS X Yosemite version 10.10.5
Docker version  1.9.1
View GISTIC-Installation.md

1. Install the required linux library

apt-get install libxmu-dev

2. Install matlab component runtime

From the directory ([MCR dir]) with instal script run:

View Targeted-Sequencing-Pipeline.md

BAM files generated by Exome sequencing at several sequencing service centers do not comply with the required specs assumed by the GATK tools. Here are steps involved in processing these raw bam files to prepare them for analysis by other tools.

These steps are formatted as a sequence of bocks in a make file. Before getting started, make sure that you have specified the path to the following pre-requisites in the header of the make file.

Prerequisites:

# general workspace path definitions
SRC=/my/source/directory/with/installed/tools/
temp_folder=/mnt/hn07_disk001/my-project/tmp/
SCRATCH=/mnt/hn07_disk001/my-project/pipeline 
View python-igraph-installation.md

Overview

This document will cover the steps involved in installation of python-igraph package for python 2.7. For python 3.x, the steps will likely be similar, but possibly not identical.

The python-igraph package requires cairo library, and Pycairo python package, and igraph C core. cairo is a 2D graphics library with support for multiple output devices and Pycairo is a set of python bindings for cairo graphics library.

In this document, it is assumed that the user does not have root access and thus uses --prefix to indicate a local directory where /lib and /bin can be located, for which the user has write privilage.

Cairo

@Niknafs
Niknafs / igraph-installation
Last active Aug 29, 2015
python-igraph installation
View igraph-installation
This document will cover the steps involved in installation of `python-igraph` package for python 2.7. For python 3.x, the steps will likely be similar, but possibly not identical.
The python-igraph package requires `cairo` library, and `py2cairo` python package. `cairo` is a
You can’t perform that action at this time.